package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.CpsUsrContentRel;

import java.util.List;

/**
 * 用户资讯信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-22
 */
public interface CpsUsrContentRelMapper {
    /**
     * 查询用户资讯信息
     *
     * @param id 用户资讯信息主键
     * @return 用户资讯信息
     */
    public CpsUsrContentRel selectCpsUsrContentRelById(Long id);

    /**
     * 查询用户资讯信息列表
     *
     * @param cpsUsrContentRel 用户资讯信息
     * @return 用户资讯信息集合
     */
    public List<CpsUsrContentRel> selectCpsUsrContentRelList(CpsUsrContentRel cpsUsrContentRel);

    /**
     * 新增用户资讯信息
     *
     * @param cpsUsrContentRel 用户资讯信息
     * @return 结果
     */
    public int insertCpsUsrContentRel(CpsUsrContentRel cpsUsrContentRel);

    /**
     * 修改用户资讯信息
     *
     * @param cpsUsrContentRel 用户资讯信息
     * @return 结果
     */
    public int updateCpsUsrContentRel(CpsUsrContentRel cpsUsrContentRel);

    /**
     * 删除用户资讯信息
     *
     * @param id 用户资讯信息主键
     * @return 结果
     */
    public int deleteCpsUsrContentRelById(Long id);

    /**
     * 批量删除用户资讯信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCpsUsrContentRelByIds(Long[] ids);

    void insertOrUpdateCpsUsrContent(CpsUsrContentRel cpsUsrContentRel);
}
