package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CpsMeetingEnterprise;

/**
 * cps_meeting_enterprise 与会企业Service接口
 * 
 * @author ruoyi
 * @date 2024-08-14
 */
public interface ICpsMeetingEnterpriseService 
{
    /**
     * 查询cps_meeting_enterprise 与会企业
     * 
     * @param id cps_meeting_enterprise 与会企业主键
     * @return cps_meeting_enterprise 与会企业
     */
    public CpsMeetingEnterprise selectCpsMeetingEnterpriseById(Long id);

    /**
     * 查询cps_meeting_enterprise 与会企业列表
     * 
     * @param cpsMeetingEnterprise cps_meeting_enterprise 与会企业
     * @return cps_meeting_enterprise 与会企业集合
     */
    public List<CpsMeetingEnterprise> selectCpsMeetingEnterpriseList(CpsMeetingEnterprise cpsMeetingEnterprise);

    /**
     * 新增cps_meeting_enterprise 与会企业
     * 
     * @param cpsMeetingEnterprise cps_meeting_enterprise 与会企业
     * @return 结果
     */
    public int insertCpsMeetingEnterprise(CpsMeetingEnterprise cpsMeetingEnterprise);

    /**
     * 修改cps_meeting_enterprise 与会企业
     * 
     * @param cpsMeetingEnterprise cps_meeting_enterprise 与会企业
     * @return 结果
     */
    public int updateCpsMeetingEnterprise(CpsMeetingEnterprise cpsMeetingEnterprise);

    /**
     * 批量删除cps_meeting_enterprise 与会企业
     * 
     * @param ids 需要删除的cps_meeting_enterprise 与会企业主键集合
     * @return 结果
     */
    public int deleteCpsMeetingEnterpriseByIds(Long[] ids);

    /**
     * 删除cps_meeting_enterprise 与会企业信息
     * 
     * @param id cps_meeting_enterprise 与会企业主键
     * @return 结果
     */
    public int deleteCpsMeetingEnterpriseById(Long id);
}
