package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.system.domain.CpsUsrApply;

/**
 * cps_usr_apply与会申请Service接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface ICpsUsrApplyService
{
    /**
     * 查询cps_usr_apply与会申请
     *
     * @param id cps_usr_apply与会申请主键
     * @return cps_usr_apply与会申请
     */
    public CpsUsrApply selectCpsUsrApplyById(Long id);

    CpsUsrApply selectCpsUsrApplyByTel();

    CpsUsrApply selectCpsUsrApplyThemeMeeting(String meetType);

    /**
     * 查询cps_usr_apply与会申请列表
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return cps_usr_apply与会申请集合
     */
    public List<CpsUsrApply> selectCpsUsrApplyList(CpsUsrApply cpsUsrApply);

    List<CpsUsrApply> selectCpsUsrDataRole(CpsUsrApply cpsUsrApply);

    List<Map<String, Object>> qryUserApplyList();

    /**
     * 新增cps_usr_apply与会申请
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return 结果
     */
    public int insertCpsUsrApply(CpsUsrApply cpsUsrApply);

    /**
     * 修改cps_usr_apply与会申请
     *
     * @param cpsUsrApply cps_usr_apply与会申请
     * @return 结果
     */
    public int updateCpsUsrApply(CpsUsrApply cpsUsrApply);

    int rejectCpsUsrApply(CpsUsrApply cpsUsrApply);

    int rejectCpsUsrApplyByIds(Long[] ids, CpsUsrApply cpsUsrApply);

    int passCpsUsrApplyByIds(Long[] ids);

    /**
     * 批量删除cps_usr_apply与会申请
     *
     * @param ids 需要删除的cps_usr_apply与会申请主键集合
     * @return 结果
     */
    public int deleteCpsUsrApplyByIds(Long[] ids);

    /**
     * 删除cps_usr_apply与会申请信息
     *
     * @param id cps_usr_apply与会申请主键
     * @return 结果
     */
    public int deleteCpsUsrApplyById(Long id);
}
